package com.iamberry.wechat.face.mothMovable;

import com.iamberry.wechat.core.entity.mothMovable.MothMovable;

import java.util.List;

/**
 *  活动生成图片的内容接口
 * @author xm
 * @Date 2019-04-25
 */
public interface MothMovableService {
    /**
     * 获取集合
     * @param  mothMovable
     * @return List
     */
    List<MothMovable> getMothMovableList(MothMovable  mothMovable);
    /**
     * 查询单条数据
     * @param  id
     * @return  mothMovable
     */
    MothMovable  getMothMovableById(Integer  id);
    /**
     * 增加数据
     * @param  mothMovable
     * @return Integer
     */
    Integer  save(MothMovable  mothMovable,String rootPath);
    /**
     * 修改数据
     * @param  mothMovable
     * @return Integer
     */
    Integer  update(MothMovable  mothMovable);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);

    /**
     * 用户扫描，参与活动生成的临时二维码
     * @param
     * @return Integer
     */
    Integer  scanInfo(String  mothMovaOpenId,String openId);
}